/**
 * AutoDAO - Generic DAO on steroids implementation for Java.
 * Copyright (C) 2008-2009  Marat Radchenko <slonopotamus@users.sourceforge.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.autodao;

import net.sf.autodao.hibernate.HibernateDaoBeanDefinitionParser;
import net.sf.autodao.hibernate.HibernateScanBeanDefinitionParser;
import org.springframework.beans.factory.xml.NamespaceHandlerSupport;

/**
 * Spring namespace handler.
 * <p/>
 * NOT FOR PUBLIC USE.
 */
final class AutoDAONamespaceHandler extends NamespaceHandlerSupport {

  /** {@inheritDoc} */
  @Override
  public void init() {
    registerBeanDefinitionParser("hibernate", new HibernateDaoBeanDefinitionParser());
    registerBeanDefinitionParser("hibernateScan", new HibernateScanBeanDefinitionParser());
  }
}
